# Mint Permissions Functions

## Mint Permissions Contract Functions

<details>

<summary>approveMint</summary>

*Gets approval to mint*

<mark style="color:blue;">Input Parameters: extension address, address, tokenID</mark>

ERC721

```solidity
interface IERC721CreatorMintPermissions is IERC165 {

    /**
     * @dev get approval to mint
     */
    function approveMint(address extension, address to, uint256 tokenId) external;
}
```

ERC1155

```solidity
interface IERC1155CreatorMintPermissions is IERC165 {

    /**
     * @dev get approval to mint
     */
    function approveMint(address extension, address[] calldata to, uint256[] calldata tokenIds, uint256[] calldata amounts) external;
}
```

</details>

## Setting Mint Permissions

<details>

<summary>setMintPermissions</summary>

*Adds a Mint Permissions contract to a registered extension contract*

<mark style="color:blue;">Input Parameters: extension address, mint permissions contract address</mark>

```solidity
function setMintPermissions(address extension, address permissions) external override adminRequired {
        _setMintPermissions(extension, permissions);
    }
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.manifold.xyz/manifold-for-developers/smart-contracts/manifold-creator/prior-versions/2.0.x/mint-permissions/mint-permissions-functions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
